libxspf4-1.2.0-38.40.x86_64.rpm


Advertisement

Description

libxspf4 - Provides XSPF playlist reading and writing support

Property Value
Distribution openSUSE Tumbleweed
Repository Multimedia Libs all
Package filename libxspf4-1.2.0-38.40.x86_64.rpm
Package name libxspf4
Package version 1.2.0
Package release 38.40
Package architecture x86_64
Package type rpm
Category Development/Libraries/C and C++
Homepage http://libspiff.sourceforge.net/
License BSD-3-Clause and LGPL-2.1+
Maintainer -
Download size 70.07 KB
Installed size 205.28 KB
libxspf brings XSPF playlist reading and writing support to your C++
application. Both version 0 and 1 are supported. libxspf uses Expat
for XML parsing and CppTest for unit testing. libxspf is the official
reference implementation for XSPF of the Xiph.Org Foundation. Features
* Full conformance to the XSPF specification
* Cross-platform (Unix, Windows, Mac OS X, ...)
* Read and write XSPF files
* XSPF-0 and XSPF-1 support
* Unicode support
* Full support for XSPF extensions
* Full support for XML namespaces
* Fast (XML parsing is done by Expat)
* Uses unit testing
* Liberal license: New BSD license

Alternatives

Package Version Architecture Repository
libxspf4-1.2.0-38.40.i586.rpm 1.2.0 i586 Multimedia Libs
libxspf4-1.2.0-23.9.x86_64.rpm 1.2.0 x86_64 openSUSE Oss
libxspf4-1.2.0-23.9.i586.rpm 1.2.0 i586 openSUSE Oss
libxspf4 - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.14)(64bit) -
libexpat.so.1()(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(CXXABI_1.3.8)(64bit) -
libstdc++.so.6(CXXABI_1.3.9)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.15)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.20)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.21)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.9)(64bit) -
liburiparser.so.1()(64bit) -

Provides

Name Value
libxspf.so.4()(64bit) -
libxspf4 = 1.2.0-38.40
libxspf4(x86-64) = 1.2.0-38.40

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libxspf4-1.2.0-38.40.x86_64.rpm
Source Package libxspf-1.2.0-38.40.src.rpm

Install Howto

  1. Add the Multimedia Libs repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/multimedia:/libs/openSUSE_Tumbleweed/ multimedia-libs
  2. Install libxspf4 rpm package:
    # zypper install libxspf4

Files

Path
/usr/lib64/libxspf.so.4
/usr/lib64/libxspf.so.4.0.1

Changelog

2015-11-26 - mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Update dependencies
2013-03-02 - coolo@suse.com
- update license to new format
2012-07-30 - crrodriguez@opensuse.org
- Fix build with as-needed and fix extra autotools bugs.
2012-05-29 - jengelh@inai.de
- Remove redundant tags/sections from specfile
- Parallel build with %_smp_mflags
- Replace outdated constructs in configure.ac/Makefile.am to
have the build succeed again
2012-03-21 - dimstar@opensuse.org
- Add libxspf-gcc47.patch: Fix build with gcc 4.7.
2011-11-20 - coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
2010-04-18 - davejplater@gmail.com
- Update to version 1.2.0 disabled make check due to missing cpptest
which is needed for it.
- Upstream changes :-
* Added: xspf_parse_memory function to C bindings
exposing XspfReader::parseMemory
* Changed: No longer shipping bundled libcpptest
* Changed: New dependencies:
- libcpptest 1.1.0 or later
- uriparser 0.7.5 or later
- pkg-config
The libcpptest dependency can be disabled through
configuring with --disable-test, which excludes the
test suite from compilation.
* Fixed: Doc generation bugs
* Fixed: Qt Compressed Help files were not installed
* Fixed: Shadow/VPATH build doc generation
2009-05-06 - coolo@suse.de
- fix compilation with gcc 44
2009-02-26 - crrodriguez@suse.de
- correct wrong -evel package requires
2009-02-22 - crrodriguez@suse.de
- upstream rename to libxspf
- update to version 1.1.0
- added pkgconfig file
- fix compilation errors with gcc 43 and 44

See Also

Package Description
libyami-devel-1.3.1-23.4.i586.rpm Development files for libyami
libyami-devel-1.3.1-23.4.x86_64.rpm Development files for libyami
libyami1-1.3.1-23.4.i586.rpm Library components for libyami
libyami1-1.3.1-23.4.x86_64.rpm Library components for libyami
libzen-devel-0.4.37-8.16.i586.rpm Include files to develop for libzen
libzen-devel-0.4.37-8.16.x86_64.rpm Include files to develop for libzen
libzen0-0.4.37-8.16.i586.rpm The ZenLib C++ utility library
libzen0-0.4.37-8.16.x86_64.rpm The ZenLib C++ utility library
libzen0-32bit-0.4.37-8.16.x86_64.rpm The ZenLib C++ utility library
libzimg2-2.8-1.6.i586.rpm Scaling, colorspace conversion, and dithering library
libzimg2-2.8-1.6.x86_64.rpm Scaling, colorspace conversion, and dithering library
libzimg2-32bit-2.8-1.6.x86_64.rpm Scaling, colorspace conversion, and dithering library
libzita-convolver4-32bit-4.0.3-9.1.x86_64.rpm A partitioned convolution engine library
libzita-convolver4-4.0.3-9.1.i586.rpm A partitioned convolution engine library
libzita-convolver4-4.0.3-9.1.x86_64.rpm A partitioned convolution engine library
Advertisement
Advertisement